--- title: "getCloudCacheManualBackupDetailList" slug: "database-vcache-getcloudcachemanualbackupdetaillist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vcache-getcloudcachemanualbackupdetaillist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudCacheManualBackupDetailList Available in VPC Get the list of available Cloud DB for Cache manual backup details. Note Cloud DB for Cache API offers two versions based on the supported DBMS range. - getCloudCacheManualBackupDetailList API: Support for Valkey and Redis DBMS - getCloudRedisManualBackupDetailList API: Support for Redis DBMS ## getCloudCacheManualBackupDetailList API This section describes the request and response formats for the getCloudCacheManualBackupDetailList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /getCloudCacheManualBackupDetailList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the manual backup details list to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `cloudCacheInstanceNo` | String | Required | Cloud DB for Cache instance number - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheManualBackupDetailList ?regionCode=KR &cloudCacheInstanceNo=****821' --header 'x-ncp-apigw-timestamp: {Timestamp}' --header 'x-ncp-iam-access-key: {Access Key}' --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [CloudCacheBackupDetailList](/docs/en/common-vapidatatype-cloudcachebackupdetaillist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudCacheManualBackupDetailListResponse": { "requestId": "e603a8ee-9308-457e-9754-5497c931f222", "returnCode": "0", "returnMessage": "success", "totalRows": 1, "cloudCacheBackupDetailList": [ { "startTime": "2022-05-18T14:10:28+0900", "endTime": "2022-05-18T14:10:28+0900", "backupSize": 302, "dataStorageSize": 10737418240, "fileName": "2022051*****" } ] } } ``` - If `responseFormatType=xml` (default) ``` 213c6297-42ab-4ac4-81fd-9852837c3105 0 success 1 2022-05-16T16:25:07+0900 2022-05-16T16:25:07+0900 302 10737418240 2022051***** ``` ## getCloudRedisManualBackupDetailList API This section describes the request and response formats for the getCloudRedisManualBackupDetailList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vredis/v2/getCloudRedisManualBackupDetailList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the manual backup details list to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `cloudRedisInstanceNo` | String | Required | Cloud DB for Cache instance number - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisManualBackupDetailList ?regionCode=KR &cloudRedisInstanceNo=****511' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [CloudRedisBackupDetailList](/docs/en/common-vapidatatype-cloudredisbackupdetaillist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudRedisManualBackupDetailListResponse": { "totalRows": 1, "cloudRedisBackupDetailList": [ { "startTime": "2024-07-02T11:58:45+0900", "endTime": "2024-07-02T11:58:45+0900", "backupSize": 525, "dataStorageSize": 10737418240, "fileName": "2024070*****" } ], "requestId": "6c89411a-****-****-****-198ff84f5f1c", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 6c89411a-****-****-****-198ff84f5f1c 0 success 1 2024-07-02T11:58:45+0900 2024-07-02T11:58:45+0900 525 10737418240 2024070***** ```